### Method

# Vips Image get_gainmap

#### Declaration [src]

    VipsImage*
    vips_image_get_gainmap (
      VipsImage* image
    )

#### Description [src]

If the image has an attached `"gainmap"`, return that. If there’s a compressed `"gainmap-data"`, decompress, and return it.

You need to free the result with `g_object_unref()` when you’re done with it.

#### Return value

Type: `VipsImage`

The gainmap image, if present, or NULL.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.